[Sync Request] rssreader.app (0.6.2.dfsg-2) from debian unstable (main)

Bug #65497 reported by Dave Sullivan on 2006-10-11
6
Affects Status Importance Assigned to Milestone
rssreader.app (Ubuntu)
Medium
Dave Sullivan

Bug Description

The latest version in debian is 0.6.2 which resolves a number of bugs, including a grave bug.

Dave Sullivan (dsullivan) wrote :

changelog diff.

Changed in rssreader.app:
assignee: nobody → motu-uvf
Daniel Holbach (dholbach) wrote :

Looks generally quite good, althought the changes seem quite big - do you have a diffstat for it?

Andrew, Reinhard, Sebastian?

Changed in rssreader.app:
importance: Undecided → Medium
status: Unconfirmed → Needs Info
Dave Sullivan (dsullivan) wrote :

rssreader.app diffstat.

Dave Sullivan (dsullivan) wrote :

Also, here's the buildlog.

Daniel Holbach (dholbach) wrote :

I'm ok. What about you guys? :-)

Andrew Mitchell (ajmitch) wrote :

I'm ok with it as well.

Changed in rssreader.app:
assignee: motu-uvf → dsullivan
status: Needs Info → Confirmed
Dave Sullivan (dsullivan) wrote :

Here's the debdiff for rssreader.app_0.2.2-1.1 (currently in the repos) vs. rssreader.app_0.6.2.dfsg-2build1 (new build from upstream).

Dave Sullivan (dsullivan) wrote :

Please see bug #65668 for a sync request.

Dave Sullivan (dsullivan) wrote :
Download full text (3.2 KiB)

Sorry, still getting used to these processes.
Please disregard the above link, as I've changed this bug into the sync request. Here's the new debian/changelog entries:

rssreader.app (0.6.2.dfsg-2) unstable; urgency=low

  [ Remarks and suggestions by James Westby ]
  * Actually bump debian/compat to 5.
  * Switch to ${binary:Version}.
  * Include license header of LGPL in debian/copyright.
  * Rename README.Debian to README.Debian-source.
  * Drop the configure target from debian/rules.

  * Build-depend on dpkg-dev (>= 1.13.19), thanks to Daniel Leidert.
  * List explicitly which files are copyrighted by the two copyright
    holders, thanks to Margarita Manterola.

 -- Yavor Doganov <email address hidden> Thu, 21 Sep 2006 17:26:06 +0300

rssreader.app (0.6.2.dfsg-1) unstable; urgency=low

  * New upstream release.
    + Doesn't segfault on startup anymore (Closes: #385239).
    + Fixes various hangups when adding a feed (Closes: #310979).
  * Urgency set to low instead of medium since it is a new upstream
    release with a lot of changes.
  * Acknowledge NMU, thanks Luk Claes (Closes: #352392, #356538).
  * Repackage the upstream tarball, removing the RSSKit documentation; it
    currently has no license. The app was renamed to Grr (Günther's RSS
    Reader), but the Debian source/binary packages remain the same.
  * Split the package and build three more binary packages --
    rsskit.framework, librrskit0 and librsskit0-dev.
  * Add debian/rsskit.framework.README.Debian explaining the reason for the
    repackaging.
  * Build-depend on libgnustep-gui-dev, instead of libgnustep-gui0.10-dev.
  * Upgrade to debhelper v5, adjust the build-dependancy accordingly and bump
    debian/compat.
  * Pass "-LRSSKit/shared_obj" to the linker in order to find the shared
    libs, thanks to Damyan Ivanov for the hint.
  * Append "messages=yes" to $(MAKE) in order to track curious build
    failures on the autobuilders.
  * Rework the long description to fix a lintian warning, also mention
    the new name and fix the Homepage.
  * Escape Gürkan's and upstream author's names in the manpage to fix a
    lintian warning; rename it to Grr.1 and substitute the name accordingly.
  * Remove debian/dirs and debian/docs, split the latter into
    $binary_package.docs.
  * Include /usr/share/GNUstep/debian/config.mk in debian/rules.
  * Move Resources to /usr/share/GNUstep/Grr.app and make a compatibility
    symlink.
  * Replace the symlynk to /usr/bin/gnustep-app-wrapper with
    $(GS_SYSTEM_ROOT)/Makefiles/gnustep-app-wrapper, the former will
    be removed after the release of Etch.
  * Add icon to debian/menu and a hint as well. Build-depend on
    imagemagick for the conversion to .xpm format.
  * [debian/copyright]: Clarify that the license is GPLv2 only,
    unfortunately, and change the link to point to it. Add the standard
    blurb as well. List the FSF as additional copyright holder and
    include a notice about RSSKit/GNUmakefile, which appears to be under
    LGPL (probably a yanking mistake upstream).
  * Add myself to Uploaders: as agreed with the maintainer.
  * Bump Standards-Version to 3.7.2, no changes needed.

 -- Yavor Doganov <yavor@dog...

Read more...

Colin Watson (cjwatson) wrote :

[Updating] rssreader.app (0.2.2-1.1 [Ubuntu] < 0.6.2.dfsg-2 [Debian])
 * Trying to add rssreader.app...
  - <rssreader.app_0.6.2.dfsg-2.dsc: downloading from http://ftp.uk.debian.org/debian/>
  - <rssreader.app_0.6.2.dfsg-2.diff.gz: downloading from http://ftp.uk.debian.org/debian/>
  - <rssreader.app_0.6.2.dfsg.orig.tar.gz: downloading from http://ftp.uk.debian.org/debian/>
I: rssreader.app [universe] -> rssreader.app_0.2.2-1.1 [universe].

Changed in rssreader.app:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers